Skip to main content
`Ctrl`+`K`

# ipydatagrid

astropy.table.notebook_backends.ipydatagrid(table, **kwargs)

  Render the table in HTML with `ipydatagrid` and show it in the Jupyter notebook.

  This function creates an `ipydatagrid.DataGrid` object by converting the input `table` to a `pandas.DataFrame` and passing `**kwargs` to the constructor. The available `DataGrid` options can be seen in a Jupyter notebook with `help(ipydatagrid.DataGrid)`.

  Note

  This function requires optional dependencies `pandas` and `ipydatagrid`.

  Parameters:
    table `Table`

      Table to render.

    **kwargs `python:dict`, optional

      Keyword arguments accepted by `ipydatagrid.DataGrid`.

  Returns:
    dg `object`

      An `ipydatagrid.DataGrid` instance representing the given table.